Name:           feroxbuster
Version:        2.11.0
Release:        1%{?dist}
Summary:        A fast, simple, recursive content discovery tool written in Rust

License:        MIT
URL:            https://github.com/epi052/feroxbuster
Source0:        https://github.com/epi052/feroxbuster/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  git
BuildRequires:  perl-FindBin
BuildRequires:  perl-IPC-Cmd
BuildRequires:  perl-File-Compare
BuildRequires:  perl-File-Copy
ExclusiveArch:  %{rust_arches}

%description
A fast, simple, recursive content discovery tool written in Rust.

%prep
%autosetup

%build
# Set environment variables and build the release binary
export RUSTUP_TOOLCHAIN=stable
cargo build --release --locked --all-features

%install
# Install the binary
install -Dm755 target/release/feroxbuster %{buildroot}%{_bindir}/feroxbuster

# Install license
install -Dm644 LICENSE %{buildroot}%{_licensedir}/%{name}/LICENSE

# Install shell completions
install -Dm644 shell_completions/feroxbuster.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/feroxbuster.fish
install -Dm644 shell_completions/_feroxbuster %{buildroot}%{_datadir}/zsh/site-functions/_feroxbuster
install -Dm644 shell_completions/feroxbuster.bash %{buildroot}%{_datadir}/bash-completion/completions/feroxbuster

%files
%license %{_licensedir}/%{name}/LICENSE
%{_bindir}/feroxbuster
%{_datadir}/fish/vendor_completions.d/feroxbuster.fish
%{_datadir}/zsh/site-functions/_feroxbuster
%{_datadir}/bash-completion/completions/feroxbuster

%changelog
* Sat May 24 2025 Your Name <you@example.com> - 2.11.0-1
- Initial RPM release based on Arch Linux PKGBUILD
